/**
 * Copyright © CENRA (2016)
 *
 * remi.clement@espaces-naturels.fr
 * 
 * This software is a multi-platform and portable application based on 
 * the scientifical toolbox to monitor wetlands. With this toolbox it’s 
 * possible to calculate indicators «RhoMéO» to monitor quality, 
 * fonctionalities and urban and agricultural pressures of wetlands. 
 * Indicators are calculated using naturalist data entered and/or imported,
 * and geographic data downloaded from a geographic server.
 * 
 * This software is governed by the CeCILL license under French law and
 * abiding by the rules of distribution of free software.  You can  use, 
 * modify and/ or redistribute the software under the terms of the CeCILL
 * license as circulated by CEA, CNRS and INRIA at the following URL
 * "http://www.cecill.info". 
 * 
 * As a counterpart to the access to the source code and  rights to copy,
 * modify and redistribute granted by the license, users are provided only
 * with a limited warranty  and the software's author,  the holder of the
 * economic rights,  and the successive licensors  have only  limited
 * liability. 
 * 
 * In this respect, the user's attention is drawn to the risks associated
 * with loading,  using,  modifying and/or developing or reproducing the
 * software by the user in light of its specific status of free software,
 * that may mean  that it is complicated to manipulate,  and  that  also
 * therefore means  that it is reserved for developers  and  experienced
 * professionals having in-depth computer knowledge. Users are therefore
 * encouraged to load and test the software's suitability as regards their
 * requirements in conditions enabling the security of their systems and/or 
 * data to be ensured and,  more generally, to use and operate it in the 
 * same conditions as regards security. 
 * 
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL license and that you accept its terms.
*/
package fr.cenra.rhomeo.core.data.reference;

import fr.cenra.rhomeo.api.data.Reference;

import javax.validation.constraints.NotNull;

/**
 * @author Cédric Briançon (Geomatys)
 */
public class FloreBassinReference implements Reference {
    /**
     * Primary key.
     */
    private int cd_nom;

    private int cd_ref;

    private String nom;
    private Integer nutriment;
    private Integer humidite;
    private Integer cc;

    public FloreBassinReference() {
    }

    public FloreBassinReference(@NotNull int cdNom, String nom, Integer nutriment, Integer humidite, Integer cc) {
        this.cd_nom = cdNom;
        this.nom = nom;
        this.nutriment = nutriment;
        this.humidite = humidite;
        this.cc = cc;
    }

    public @NotNull int getCd_nom() {
        return cd_nom;
    }

    public void setCd_nom(@NotNull int cd_nom) {
        this.cd_nom = cd_nom;
    }

    public @NotNull int getCd_ref() {
        return cd_ref;
    }

    public void setCd_ref(@NotNull int cd_ref) {
        this.cd_ref = cd_ref;
    }

    public String getNom() {
        return nom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public Integer getNutriment() {
        return nutriment;
    }

    public void setNutriment(Integer nutriment) {
        this.nutriment = nutriment;
    }

    public Integer getHumidite() {
        return humidite;
    }

    public void setHumidite(Integer humidite) {
        this.humidite = humidite;
    }

    public Integer getCc() {
        return cc;
    }

    public void setCc(Integer cc) {
        this.cc = cc;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        FloreBassinReference that = (FloreBassinReference) o;

        return cd_nom == that.cd_nom;

    }

    @Override
    public int hashCode() {
        return cd_nom;
    }

    @Override
    public String toString() {
        return nom;
    }
}
